update 2025-03-06 00:32:07

This commit is contained in:
kenzok8 2025-03-06 00:32:07 +08:00
parent 767c93f9d0
commit 46ab75a956
38 changed files with 532 additions and 241 deletions

View File

@ -5,12 +5,12 @@
include $(TOPDIR)/rules.mk
PKG_NAME:=ipt2socks
PKG_VERSION:=1.1.4
PKG_VERSION:=1.1.5
PKG_RELEASE:=3
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=https://codeload.github.com/zfl9/ipt2socks/tar.gz/v$(PKG_VERSION)?
PKG_HASH:=68dc76e63951d655c2fd9b420e175b5a75a50014d6db6e729398b41f2c988356
PKG_HASH:=762c3e24962c0b4a46ea8285ae36b0a3123ddbd062681a67779c26905132026c
PKG_BUILD_PARALLEL:=1
PKG_USE_MIPS16:=0

View File

@ -1,7 +1,7 @@
include $(TOPDIR)/rules.mk
PKG_NAME:=luci-app-openclash
PKG_VERSION:=0.46.075
PKG_VERSION:=0.46.079
PKG_MAINTAINER:=vernesong <https://github.com/vernesong/OpenClash>
PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)

View File

@ -130,7 +130,7 @@ function(s)
end)
o:value("DIRECT")
o:value("REJECT")
o:value("GLOBAL")
o:value("Disable", translate("Disable"))
o.default = "Disable"
o.rempty = false

View File

@ -101,7 +101,7 @@ o.rmempty = true
o.placeholder = "bgp|sg"
o = s:option(DynamicList, "other_group", translate("Other Group (Support Regex)"))
o.description = font_red..bold_on..translate("The Added Proxy Groups Must Exist Except 'DIRECT' & 'REJECT'")..bold_off..font_off
o.description = font_red..bold_on..translate("The Added Proxy Groups Must Exist Except 'DIRECT' & 'REJECT' & 'REJECT-DROP' & 'PASS' & 'GLOBAL'")..bold_off..font_off
o:value("all", translate("All Groups"))
uci:foreach("openclash", "groups",
function(s)
@ -111,6 +111,9 @@ uci:foreach("openclash", "groups",
end)
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o.rmempty = true
local t = {

View File

@ -83,6 +83,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "AsianTV", translate("AsianTV"))
o:depends("rule_name", "lhie1")
@ -94,6 +97,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "MainlandTV", translate("CN Mainland TV"))
o:depends("rule_name", "lhie1")
@ -105,6 +111,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Proxy", translate("Proxy"))
o:depends("rule_name", "lhie1")
@ -116,6 +125,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Youtube", translate("Youtube"))
o:depends("rule_name", "lhie1")
@ -127,6 +139,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Bilibili", translate("Bilibili"))
o:depends("rule_name", "lhie1")
@ -138,6 +153,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Bahamut", translate("Bahamut"))
o:depends("rule_name", "lhie1")
@ -149,6 +167,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "HBOMax", translate("HBO Max"))
o:depends("rule_name", "lhie1")
@ -160,6 +181,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Pornhub", translate("Pornhub"))
o:depends("rule_name", "lhie1")
@ -171,6 +195,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Apple", translate("Apple"))
o:depends("rule_name", "lhie1")
@ -182,6 +209,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "AppleTV", translate("Apple TV"))
o:depends("rule_name", "lhie1")
@ -193,6 +223,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "GoogleFCM", translate("Google FCM"))
o:depends("rule_name", "lhie1")
@ -204,6 +237,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Scholar", translate("Scholar"))
o:depends("rule_name", "lhie1")
@ -215,6 +251,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Microsoft", translate("Microsoft"))
o:depends("rule_name", "lhie1")
@ -226,6 +265,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "AI_Suite", translate("AI Suite"))
o:depends("rule_name", "lhie1")
@ -237,6 +279,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Netflix", translate("Netflix"))
o:depends("rule_name", "lhie1")
@ -248,6 +293,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Disney", translate("Disney Plus"))
o:depends("rule_name", "lhie1")
@ -259,6 +307,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Discovery", translate("Discovery Plus"))
o:depends("rule_name", "lhie1")
@ -270,6 +321,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "DAZN", translate("DAZN"))
o:depends("rule_name", "lhie1")
@ -281,6 +335,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Spotify", translate("Spotify"))
o:depends("rule_name", "lhie1")
@ -292,6 +349,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Steam", translate("Steam"))
o:depends("rule_name", "lhie1")
@ -303,6 +363,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "miHoYo", translate("miHoYo"))
o:depends("rule_name", "lhie1")
@ -314,6 +377,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Speedtest", translate("Speedtest"))
o:depends("rule_name", "lhie1")
@ -325,6 +391,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Telegram", translate("Telegram"))
o:depends("rule_name", "lhie1")
@ -336,6 +405,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Crypto", translate("Crypto"))
o:depends("rule_name", "lhie1")
@ -347,6 +419,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Discord", translate("Discord"))
o:depends("rule_name", "lhie1")
@ -358,6 +433,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "PayPal", translate("PayPal"))
o:depends("rule_name", "lhie1")
@ -369,6 +447,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "AdBlock", translate("AdBlock"))
o:depends("rule_name", "lhie1")
@ -380,6 +461,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "HTTPDNS", translate("HTTPDNS"))
o:depends("rule_name", "lhie1")
@ -391,6 +475,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Domestic", translate("Domestic"))
o:depends("rule_name", "lhie1")
@ -402,6 +489,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o = s:option(ListValue, "Others", translate("Others"))
o:depends("rule_name", "lhie1")
@ -414,6 +504,9 @@ for groupname in string.gmatch(groupnames, "([^'##\n']+)##") do
end
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
end

View File

@ -114,7 +114,7 @@ o:value("0", translate("Priority Match"))
o:value("1", translate("Extended Match"))
o = s:option(ListValue, "group", translate("Set Proxy Group"))
o.description = font_red..bold_on..translate("The Added Proxy Groups Must Exist Except 'DIRECT' & 'REJECT'")..bold_off..font_off
o.description = font_red..bold_on..translate("The Added Proxy Groups Must Exist Except 'DIRECT' & 'REJECT' & 'REJECT-DROP' & 'PASS' & 'GLOBAL'")..bold_off..font_off
o.rmempty = true
local groupnames,filename
filename = m.uci:get(openclash, "config", "config_path")
@ -138,6 +138,9 @@ m.uci:foreach("openclash", "groups",
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
-- [[ other-setting ]]--
o = s:option(Value, "other_parameters", translate("Other Parameters"))

View File

@ -115,6 +115,9 @@ uci:foreach("openclash", "groups",
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o.rmempty = true
-- [[ Edit Other Rule Provider ]] --
@ -191,6 +194,9 @@ uci:foreach("openclash", "groups",
o:value("DIRECT")
o:value("REJECT")
o:value("REJECT-DROP")
o:value("PASS")
o:value("GLOBAL")
o.rmempty = true
o = s:option(Value, "interval", translate("Rule Providers Interval(s)"))

View File

@ -272,12 +272,12 @@ function lanip()
local lan_int_name = uci:get("openclash", "config", "lan_interface_name") or "0"
local lan_ip
if lan_int_name == "0" then
lan_ip = SYS.exec("uci -q get network.lan.ipaddr |awk -F '/' '{print $1}' 2>/dev/null |tr -d '\n'")
lan_ip = SYS.exec("uci -q get network.lan.ipaddr 2>/dev/null |awk -F '/' '{print $1}' 2>/dev/null |tr -d '\n'")
else
lan_ip = SYS.exec(string.format("ip address show %s | grep -w 'inet' 2>/dev/null |grep -Eo 'inet [0-9\.]+' | awk '{print $2}' |head -1 | tr -d '\n'", lan_int_name))
lan_ip = SYS.exec(string.format("ip address show %s 2>/dev/null | grep -w 'inet' 2>/dev/null | grep -Eo 'inet [0-9\.]+' | awk '{print $2}' | head -1 | tr -d '\n'", lan_int_name))
end
if not lan_ip or lan_ip == "" then
lan_ip = SYS.exec("ip address show $(uci -q -p /tmp/state get network.lan.ifname || uci -q -p /tmp/state get network.lan.device) | grep -w 'inet' 2>/dev/null |grep -Eo 'inet [0-9\.]+' | awk '{print $2}' |head -1 | tr -d '\n'")
lan_ip = SYS.exec("ip address show $(uci -q -p /tmp/state get network.lan.ifname || uci -q -p /tmp/state get network.lan.device) | grep -w 'inet' 2>/dev/null | grep -Eo 'inet [0-9\.]+' | awk '{print $2}' | head -1 | tr -d '\n'")
end
if not lan_ip or lan_ip == "" then
lan_ip = SYS.exec("ip addr show 2>/dev/null | grep -w 'inet' | grep 'global' | grep 'brd' | grep -Eo 'inet [0-9\.]+' | awk '{print $2}' | head -n 1 | tr -d '\n'")

View File

@ -9,8 +9,27 @@ local dns_host = "www.instagram.com"
%>
<style>
:root[data-darkmode="true"] {
.diag-style {
background-color: #404040;
}
#diag-rc-output > pre {
background-color: #404040;
color: #ffffff;
}
#dns-rc-output > pre {
background-color: #404040;
color: #ffffff;
}
}
.diag-style {
background-color: #f5f5f5;
}
#diag-rc-output > pre {
background-color: #f5f5f5;
background-color: #ffffff;
display: block;
padding: 8.5px;
margin: 0 0 18px;
@ -23,7 +42,7 @@ local dns_host = "www.instagram.com"
}
#dns-rc-output > pre {
background-color: #f5f5f5;
background-color: #ffffff;
display: block;
padding: 8.5px;
margin: 0 0 18px;
@ -181,7 +200,7 @@ local dns_host = "www.instagram.com"
//]]></script>
<form>
<fieldset>
<fieldset class="diag-style">
<div style="width:33%; float: left; text-align: center;">
<%:Connection Test (Current Browser)%>&nbsp;&nbsp;&nbsp;&nbsp;
<input type="text" value="<%=diag_host%>" name="diag" />
@ -198,19 +217,19 @@ local dns_host = "www.instagram.com"
</div>
</fieldset>
<fieldset style="display:none">
<fieldset class="diag-style" style="display:none">
<legend id="diag-rc-legend"><%:Collecting data...%></legend>
<br />
<span id="diag-rc-output"></span>
</fieldset>
<fieldset style="display:none">
<fieldset class="diag-style" style="display:none">
<legend id="dns-rc-legend"><%:Collecting data...%></legend>
<br />
<span id="dns-rc-output"></span>
</fieldset>
<fieldset style="display:none">
<fieldset class="diag-style" style="display:none">
<legend id="debug-rc-legend"><%:Collecting data...%></legend>
<br />
<span id="debug-rc-output"></span>

View File

@ -198,6 +198,7 @@ function createAndDownloadFile(fileName, content) {
function download_log(){
var dt = new Date();
var timestamp = dt.getFullYear()+"-"+(dt.getMonth()+1)+"-"+dt.getDate()+"-"+dt.getHours()+"-"+dt.getMinutes()+"-"+dt.getSeconds();
lv.innerHTML = lv.innerHTML.split('\n').filter(function(line) { return line.indexOf("】订阅的下载链接为【") === -1 && line.indexOf("】Downloading URL【") === -1; }).join('\n');
createAndDownloadFile("OpenClash-"+timestamp+".log","<%:OpenClash Log%>:\n"+lv.innerHTML+"\n<%:Core Log%>:\n"+cl.innerHTML)
return
};

View File

@ -71,7 +71,7 @@
<tr><td width="25%"><%:Main Program%></td><td width="25%" align="left"><span id="_clash"><%:Collecting data...%></span><span id="_watchdog"></span></td><td width="25%"><%:Control Panel Login IP%></td><td width="25%" align="left" id="_daip"><%:Collecting data...%></td></tr>
<tr><td width="20%"><%:Running Mode%></td><td width="30%" align="left"><span id="_mode"><%:Collecting data...%></span><span id="radio-ru-mode" class="radio-button">
<input type="radio" id="normal" name="radios-ru" value="" checked onclick="return switch_run_mode(this.value)"/>
<label for="normal" id="run_normal"><%:Compatible%></label>
<label for="normal" id="run_normal"><%:Compat%></label>
<input type="radio" id="tun" name="radios-ru" value="-tun" onclick="return switch_run_mode(this.value)"/>
<label for="tun"><%:TUN%></label>
<input type="radio" id="mix" name="radios-ru" value="-mix" onclick="return switch_run_mode(this.value)"/>
@ -507,7 +507,7 @@
else if (status.mode == "redir-host" || status.mode == "redir-host-tun" || status.mode == "redir-host-mix")
{
mode.innerHTML = status.clash && status.watchdog ? "<b style=color:green><%:Redir-Host%></b>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;" : '<b style=color:red><%:Not Running%></b>&nbsp;&nbsp;&nbsp;';
radio_run_normal.innerHTML = "<%:Compatible%>"
radio_run_normal.innerHTML = "<%:Compat%>"
};
for (i=0; i<radio_ru.length; i++) {
if (radio_ru[i].value == (status["mode"].split("-")[2] == undefined ? "" : ("-" + status["mode"].split("-")[2])) && ! radio_ru[i].checked) {

View File

@ -879,8 +879,8 @@ msgstr "Relay【嵌套中转】"
msgid "Other Group (Support Regex)"
msgstr "包含其他策略组(请勿重复添加,支持正则匹配)"
msgid "The Added Proxy Groups Must Exist Except 'DIRECT' & 'REJECT'"
msgstr "注意:除'DIRECT'和'REJECT'外,修改配置文件前添加的其他策略组必须已创建"
msgid "The Added Proxy Groups Must Exist Except 'DIRECT' & 'REJECT' & 'REJECT-DROP' & 'PASS' & 'GLOBAL'"
msgstr "注意:除'DIRECT'、'REJECT'、'REJECT-DROP'、'PASS'、'GLOBAL'外,修改配置文件前添加的其他策略组必须已创建"
msgid "The Added Proxy Provider Must Exist"
msgstr "修改配置文件前添加的代理集必须已创建"
@ -1248,7 +1248,7 @@ msgstr "备份"
msgid "Enhance"
msgstr "增强"
msgid "Compatible"
msgid "Compat"
msgstr "兼容"
msgid "Mix"
@ -3378,6 +3378,15 @@ msgstr "强制覆盖 DNS 查询的子网区域地址"
msgid "Tip: Respect-rules Option Need Proxy-server-nameserver Option Must Be Setted, Auto Set to"
msgstr "提示:使用 Respect-rules 功能时 Proxy-server-nameserver 必须配置,插件将默认将其设置为"
msgid "Tip: Nameserver Option Maybe All Setted The Proxy Option, Auto Set Proxy-server-nameserver Option to"
msgstr "提示Nameserver 选项可能全部设置了代理选项,插件已自动设置 Proxy-server-nameserver 选项为"
msgid "Tip: Proxy-server-nameserver Option Maybe All Setted The Proxy Option, Auto Set Proxy-server-nameserver Option to"
msgstr "提示Proxy-server-nameserver 选项可能全部设置了代理选项,插件已自动为 Proxy-server-nameserver 选项添加设置"
msgid "For Avoiding Proxies Server Resolve Loop..."
msgstr "以避免代理服务器解析回环..."
msgid "Tip: Config File"
msgstr "提示:配置文件"

View File

@ -653,7 +653,6 @@ start_run_core()
procd_set_param group "nogroup"
procd_set_param limits nproc="unlimited" as="unlimited" memlock="unlimited" nofile="1000000 1000000"
procd_set_param respawn 3600 3 10
procd_set_param capabilities "/etc/capabilities/openclash.json"
procd_set_param stderr 1
procd_set_param no_new_privs 1
procd_close_instance
@ -785,14 +784,14 @@ check_core_status()
ip rule add fwmark "$PROXY_FWMARK" table "$PROXY_ROUTE_TABLE" pref 1889
fi
else
reg4='^((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.){3}(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])$'
while ( [ -n "$(pidof clash)" ] && [ "$CORE_HTTP_CODE" != "200" ] && [ "$TUN_WAIT" -le 120 ] && [[ "$lan_ip" =~ $reg4 ]] )
reg4='^(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])$'
while ( [ -n "$(pidof clash)" ] && [ "$CORE_HTTP_CODE" != "200" ] && [ "$TUN_WAIT" -le 120 ] && [ -n "$(echo ${lan_ip} | grep -Eo ${reg4})" ] )
do
CORE_HTTP_CODE=$(curl -m 5 -o /dev/null -s -w '%{http_code}' -H 'Content-Type: application/json' -H "Authorization: Bearer ${da_password}" -XGET http://${lan_ip}:${cn_port}/group)
let TUN_WAIT++
sleep 1
done >/dev/null 2>&1
if ! [[ "$lan_ip" =~ $reg4 ]]; then
if [ -z "$(echo ${lan_ip} | grep -Eo ${reg4})" ]; then
LOG_OUT "Error: LAN IP Address Get Error, Please Check The LAN Interface Setting or Choose the Correct Interface in the Setting!"
sleep 10
fi
@ -958,7 +957,7 @@ firewall_rule_exclude()
ipv6_suffix_to_nft_format() {
local ipv6_with_prefix="$1"
if [[ "$ipv6_with_prefix" =~ / ]]; then
if [[ "$ipv6_with_prefix" =~ / ]] || [ -n "$(echo ${ipv6_with_prefix} | grep '/')" ]; then
local suffix="${ipv6_with_prefix%%/*}"
local prefix="${ipv6_with_prefix##*/}"
echo "& $prefix == $suffix"
@ -986,7 +985,7 @@ firewall_rule_exclude()
return
fi
if [ -n "$(echo $dest_port |grep -E '\-|\:' 2>/dev/null)" ]; then
if [ -n "$(echo $dest_port |grep -E '\-|\:' 2>/dev/null)" ]; then
LOG_OUT "Warning: Because there is a port range【$dest_port】in the firewall rule settings【$name】auto bypassing may cause the normal connection of the client not to reach the core, if necessary, please add your own in the access control!"
return
fi
@ -1044,7 +1043,7 @@ firewall_rule_exclude()
nft insert rule inet fw4 openclash_mangle_v6 position 0 meta nfproto {ipv6} tcp sport "$i" counter return >/dev/null 2>&1
nft insert rule inet fw4 openclash_v6 position 0 meta nfproto {ipv6} tcp sport "$i" counter return >/dev/null 2>&1
else
if [[ "$dest_ip" =~ , ]]; then
if [[ "$dest_ip" =~ , ]] || [ -n "$(echo ${dest_ip} | grep ',')" ]; then
nft insert rule inet fw4 openclash_mangle_v6 position 0 ip6 saddr { "$dest_ip" } tcp sport "$i" counter return >/dev/null 2>&1
nft insert rule inet fw4 openclash_v6 position 0 ip6 saddr { "$dest_ip" } tcp sport "$i" counter return >/dev/null 2>&1
else
@ -1059,7 +1058,7 @@ firewall_rule_exclude()
if [ -z "$dest_ip" ]; then
nft insert rule inet fw4 openclash_mangle_v6 position 0 meta nfproto {ipv6} udp sport "$i" counter return >/dev/null 2>&1
else
if [[ "$dest_ip" =~ , ]]; then
if [[ "$dest_ip" =~ , ]] || [ -n "$(echo ${dest_ip} | grep ',')" ]; then
nft insert rule inet fw4 openclash_mangle_v6 position 0 ip6 saddr { "$dest_ip" } udp sport "$i" counter return >/dev/null 2>&1
else
nft insert rule inet fw4 openclash_mangle_v6 position 0 ip6 saddr "$nft_ipv6" udp sport "$i" counter return >/dev/null 2>&1
@ -1160,7 +1159,7 @@ firewall_redirect_exclude()
return
fi
if [ -n "$(echo $dest_port |grep -E '\-|\:' 2>/dev/null)" ]; then
if [ -n "$(echo $dest_port |grep -E '\-|\:' 2>/dev/null)" ]; then
LOG_OUT "Warning: Because there is a port range【$dest_port】in the firewall rule settings【$name】auto bypassing may cause the normal connection of the client not to reach the core, if necessary, please add your own in the access control!"
return
fi
@ -2921,9 +2920,9 @@ get_config()
lan_interface_name=$(uci -q get openclash.config.lan_interface_name || echo 0)
if [ "$lan_interface_name" = "0" ]; then
lan_ip=$(uci -q get network.lan.ipaddr |awk -F '/' '{print $1}' 2>/dev/null || ip address show $(uci -q -p /tmp/state get network.lan.ifname || uci -q -p /tmp/state get network.lan.device) | grep -w "inet" 2>/dev/null |grep -Eo 'inet [0-9\.]+' | awk '{print $2}' |head -1 || ip addr show 2>/dev/null | grep -w 'inet' | grep 'global' | grep 'brd' | grep -Eo 'inet [0-9\.]+' | awk '{print $2}' | head -n 1)
lan_ip=$(uci -q get network.lan.ipaddr 2>/dev/null | awk -F '/' '{print $1}' 2>/dev/null | tr -d '\n' || ip address show $(uci -q -p /tmp/state get network.lan.ifname || uci -q -p /tmp/state get network.lan.device) | grep -w "inet" 2>/dev/null |grep -Eo 'inet [0-9\.]+' | awk '{print $2}' | head -1 | tr -d '\n' || ip addr show 2>/dev/null | grep -w 'inet' | grep 'global' | grep 'brd' | grep -Eo 'inet [0-9\.]+' | awk '{print $2}' | head -n 1 | tr -d '\n')
else
lan_ip=$(ip address show $lan_interface_name | grep -w "inet" 2>/dev/null |grep -Eo 'inet [0-9\.]+' | awk '{print $2}' |head -1)
lan_ip=$(ip address show $lan_interface_name 2>/dev/null | grep -w "inet" 2>/dev/null | grep -Eo 'inet [0-9\.]+' | awk '{print $2}' | head -1 | tr -d '\n')
fi
wan_ip4s=$(/usr/share/openclash/openclash_get_network.lua "wanip" 2>/dev/null)

View File

@ -7,6 +7,36 @@
*.test
*.local
*.home.arpa
*.direct
cable.auth.com
network-test.debian.org
detectportal.firefox.com
resolver1.opendns.com
global.turn.twilio.com
global.stun.twilio.com
app.yinxiang.com
injections.adguard.org
localhost.*.weixin.qq.com
*.blzstatic.cn
*.cmpassport.com
id6.me
open.e.189.cn
opencloud.wostore.cn
id.mail.wo.cn
mdn.open.wo.cn
hmrz.wo.cn
nishub1.10010.com
enrichgw.10010.com
*.wosms.cn
*.jegotrip.com.cn
*.icitymobile.mobi
*.pingan.com.cn
*.cmbchina.com
*.10099.com.cn
*.microdone.cn
PDC._msDCS.*.*
DC._msDCS.*.*
GC._msDCS.*.*
#放行NTP服务
time.*.com
time.*.gov
@ -83,6 +113,7 @@ xbox.*.*.microsoft.com
xbox.*.microsoft.com
xnotify.xboxlive.com
#Wotgame
+.battle.net
+.battlenet.com.cn
+.wotgame.cn
+.wggames.cn
@ -144,6 +175,6 @@ ps.res.netease.com
#Wifi Calling
+.pub.3gppnetwork.org
#GEOSITE(Meta core)
geosite:category-games
#geosite:category-games
#geosite:apple-cn
#geosite:google-cn

View File

@ -1,4 +1,5 @@
#!/bin/bash
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 884>"/tmp/lock/openclash_clash_version.lock" 2>/dev/null
@ -14,27 +15,24 @@ set_lock
TIME=$(date "+%Y-%m-%d-%H")
CHTIME=$(date "+%Y-%m-%d-%H" -r "/tmp/clash_last_version" 2>/dev/null)
LAST_OPVER="/tmp/clash_last_version"
DOWNLOAD_FILE="/tmp/clash_last_version"
RELEASE_BRANCH=$(uci -q get openclash.config.release_branch || echo "master")
github_address_mod=$(uci -q get openclash.config.github_address_mod || echo 0)
if [ -n "$1" ]; then
github_address_mod="$1"
fi
LOG_FILE="/tmp/openclash.log"
if [ "$TIME" != "$CHTIME" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
curl -SsL -m 60 "$github_address_mod"gh/vernesong/OpenClash@core/"$RELEASE_BRANCH"/core_version -o $LAST_OPVER 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$LAST_OPVER" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/vernesong/OpenClash@core/${RELEASE_BRANCH}/core_version"
else
curl -SsL -m 60 "$github_address_mod"https://raw.githubusercontent.com/vernesong/OpenClash/core/"$RELEASE_BRANCH"/core_version -o $LAST_OPVER 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$LAST_OPVER" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://raw.githubusercontent.com/vernesong/OpenClash/core/${RELEASE_BRANCH}/core_version"
fi
else
curl -SsL -m 60 https://raw.githubusercontent.com/vernesong/OpenClash/core/"$RELEASE_BRANCH"/core_version -o $LAST_OPVER 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$LAST_OPVER" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
fi
if [ "${PIPESTATUS[0]}" -ne 0 ]; then
rm -rf $LAST_OPVER
DOWNLOAD_URL="https://raw.githubusercontent.com/vernesong/OpenClash/core/${RELEASE_BRANCH}/core_version"
fi
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "$DOWNLOAD_FILE"
fi
del_lock

View File

@ -11,6 +11,13 @@ LOG_OUT()
fi
}
LOG_INFO()
{
if [ -n "${1}" ]; then
echo -e "$(date "+%Y-%m-%d %H:%M:%S") ${1}" >> $LOG_FILE
fi
}
LOG_ALERT()
{
echo -e "$(tail -n 20 $LOG_FILE |grep -E 'level=fatal|level=error|FTL\ \[Config\]' |awk 'END {print}')" > $START_LOG

View File

@ -4,6 +4,7 @@
. /usr/share/openclash/openclash_ps.sh
. /usr/share/openclash/log.sh
. /lib/functions/procd.sh
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 889>"/tmp/lock/openclash_subs.lock" 2>/dev/null
@ -70,16 +71,20 @@ config_download()
LOG_OUT "Tip: Config File【$name】Downloading User-Agent【$sub_ua】..."
if [ -n "$subscribe_url_param" ]; then
if [ -n "$c_address" ]; then
echo "$LOGTIME Tip: Config File【$name】Downloading URL【$c_address$subscribe_url_param】..." >> $LOG_FILE
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 -H "$sub_ua" "$c_address""$subscribe_url_param" -o "$CFG_FILE" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$CFG_FILE" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
LOG_INFO "Tip: Config File【$name】Downloading URL【$c_address$subscribe_url_param】..."
DOWNLOAD_URL="${c_address}${subscribe_url_param}"
DOWNLOAD_PARAM="$sub_ua"
else
echo "$LOGTIME Tip: Config File【$name】Downloading URL【https://api.dler.io/sub$subscribe_url_param】..." >> $LOG_FILE
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 -H "$sub_ua" https://api.dler.io/sub"$subscribe_url_param" -o "$CFG_FILE" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$CFG_FILE" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
LOG_INFO "Tip: Config File【$name】Downloading URL【https://api.dler.io/sub$subscribe_url_param】..."
DOWNLOAD_URL="https://api.dler.io/sub${subscribe_url_param}"
DOWNLOAD_PARAM="$sub_ua"
fi
else
echo "$LOGTIME Tip: Config File【$name】Downloading URL【$subscribe_url】..." >> $LOG_FILE
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 -H "$sub_ua" "$subscribe_url" -o "$CFG_FILE" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$CFG_FILE" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
LOG_INFO "Tip: Config File【$name】Downloading URL【$subscribe_url】..."
DOWNLOAD_URL="${subscribe_url}"
DOWNLOAD_PARAM="$sub_ua"
fi
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "$CFG_FILE" "$DOWNLOAD_PARAM"
}
config_cus_up()
@ -382,7 +387,7 @@ sub_info_get()
config_get "rule_provider" "$section" "rule_provider" ""
config_get "custom_template_url" "$section" "custom_template_url" ""
config_get "de_ex_keyword" "$section" "de_ex_keyword" ""
config_get "sub_ua" "$section" "sub_ua" "Clash"
config_get "sub_ua" "$section" "sub_ua" "clash.meta"
if [ "$enabled" -eq 0 ]; then
if [ -n "$2" ]; then
@ -403,10 +408,6 @@ sub_info_get()
else
udp=""
fi
if [ -n "$sub_ua" ]; then
sub_ua="User-Agent: $sub_ua"
fi
if [ "$rule_provider" == "true" ]; then
rule_provider="&expand=false&classic=true"

View File

@ -1,7 +1,7 @@
#!/bin/bash
. /usr/share/openclash/openclash_ps.sh
. /usr/share/openclash/log.sh
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 879>"/tmp/lock/openclash_chn.lock" 2>/dev/null
@ -24,7 +24,6 @@
disable_udp_quic=$(uci -q get openclash.config.disable_udp_quic)
small_flash_memory=$(uci -q get openclash.config.small_flash_memory)
en_mode=$(uci -q get openclash.config.en_mode)
LOG_FILE="/tmp/openclash.log"
restart=0
@ -40,17 +39,12 @@
LOG_OUT "Start Downloading The Chnroute Cidr List..."
if [ -z "$CHNR_CUSTOM_URL" ]; then
if pidof clash >/dev/null; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://ispip.clang.cn/all_cn.txt -o /tmp/china_ip_route.txt 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/china_ip_route.txt" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
fi
if [ "${PIPESTATUS[0]}" != "0" ] || ! pidof clash >/dev/null; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://ispip.clang.cn/all_cn_cidr.txt -o /tmp/china_ip_route.txt 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/china_ip_route.txt" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
fi
DOWNLOAD_FILE_CURL "https://ispip.clang.cn/all_cn.txt" "/tmp/china_ip_route.txt"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$CHNR_CUSTOM_URL" -o /tmp/china_ip_route.txt 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/china_ip_route.txt" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_FILE_CURL "$CHNR_CUSTOM_URL" "/tmp/china_ip_route.txt"
fi
if [ "${PIPESTATUS[0]}" -eq 0 ] && [ -s "/tmp/china_ip_route.txt" ]; then
if [ "$?" -eq 0 ]; then
LOG_OUT "Chnroute Cidr List Download Success, Check Updated..."
#预处理
if [ -n "$FW4" ]; then
@ -64,7 +58,7 @@
awk '!/^$/&&!/^#/{printf("add china_ip_route %s'" "'\n",$0)}' /tmp/china_ip_route.txt >>/tmp/china_ip_route.list
fi
cmp -s /tmp/china_ip_route.list "$chnr_path"
if [ "$?" -ne "0" ]; then
if [ "$?" -ne 0 ]; then
LOG_OUT "Chnroute Cidr List Has Been Updated, Starting To Replace The Old Version..."
mv /tmp/china_ip_route.list "$chnr_path" >/dev/null 2>&1
if [ "$china_ip_route" -ne 0 ] || [ "$disable_udp_quic" -eq 1 ]; then
@ -81,11 +75,11 @@
#ipv6
LOG_OUT "Start Downloading The Chnroute6 Cidr List..."
if [ -z "$CHNR6_CUSTOM_URL" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://ispip.clang.cn/all_cn_ipv6.txt -o /tmp/china_ip6_route.txt 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/china_ip6_route.txt" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_FILE_CURL "https://ispip.clang.cn/all_cn_ipv6.txt" "/tmp/china_ip6_route.txt"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$CHNR6_CUSTOM_URL" -o /tmp/china_ip6_route.txt 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/china_ip6_route.txt" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_FILE_CURL "$CHNR6_CUSTOM_URL" "/tmp/china_ip6_route.txt"
fi
if [ "${PIPESTATUS[0]}" -eq "0" ] && [ -s "/tmp/china_ip6_route.txt" ]; then
if [ "$?" -eq 0 ]; then
LOG_OUT "Chnroute6 Cidr List Download Success, Check Updated..."
#预处理
if [ -n "$FW4" ]; then
@ -99,7 +93,7 @@
awk '!/^$/&&!/^#/{printf("add china_ip6_route %s'" "'\n",$0)}' /tmp/china_ip6_route.txt >>/tmp/china_ip6_route.list
fi
cmp -s /tmp/china_ip6_route.list "$chnr6_path"
if [ "$?" -ne "0" ]; then
if [ "$?" -ne 0 ]; then
LOG_OUT "Chnroute6 Cidr List Has Been Updated, Starting To Replace The Old Version..."
mv /tmp/china_ip6_route.list "$chnr6_path" >/dev/null 2>&1
if [ "$china_ip6_route" -ne 0 ] || [ "$disable_udp_quic" -eq 1 ]; then

View File

@ -2,6 +2,7 @@
. /lib/functions.sh
. /usr/share/openclash/openclash_ps.sh
. /usr/share/openclash/log.sh
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 872>"/tmp/lock/openclash_core.lock" 2>/dev/null
@ -31,7 +32,7 @@ C_CORE_TYPE=$(uci -q get openclash.config.core_type)
small_flash_memory=$(uci -q get openclash.config.small_flash_memory)
CPU_MODEL=$(uci -q get openclash.config.core_version)
RELEASE_BRANCH=$(uci -q get openclash.config.release_branch || echo "master")
LOG_FILE="/tmp/openclash.log"
DOWNLOAD_FILE="/tmp/clash_meta.tar.gz"
if [ "$github_address_mod" != "0" ]; then
[ ! -f "/tmp/clash_last_version" ] && /usr/share/openclash/clash_version.sh "$github_address_mod" 2>/dev/null
@ -64,58 +65,60 @@ if [ "$CORE_CV" != "$CORE_LV" ] || [ -z "$CORE_CV" ]; then
LOG_OUT "【Meta】Core Downloading, Please Try to Download and Upload Manually If Fails"
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"gh/vernesong/OpenClash@core/"$RELEASE_BRANCH"/meta/clash-"$CPU_MODEL".tar.gz -o /tmp/clash_meta.tar.gz 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/clash_meta.tar.gz" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/vernesong/OpenClash@core/${RELEASE_BRANCH}/meta/clash-${CPU_MODEL}.tar.gz"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/vernesong/OpenClash/core/"$RELEASE_BRANCH"/meta/clash-"$CPU_MODEL".tar.gz -o /tmp/clash_meta.tar.gz 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/clash_meta.tar.gz" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://raw.githubusercontent.com/vernesong/OpenClash/core/${RELEASE_BRANCH}/meta/clash-${CPU_MODEL}.tar.gz"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://raw.githubusercontent.com/vernesong/OpenClash/core/"$RELEASE_BRANCH"/meta/clash-"$CPU_MODEL".tar.gz -o /tmp/clash_meta.tar.gz 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/clash_meta.tar.gz" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://raw.githubusercontent.com/vernesong/OpenClash/core/${RELEASE_BRANCH}/meta/clash-${CPU_MODEL}.tar.gz"
fi
if [ "${PIPESTATUS[0]}" -eq 0 ]; then
gzip -t /tmp/clash_meta.tar.gz >/dev/null 2>&1
fi
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "$DOWNLOAD_FILE"
if [ "$?" == "0" ]; then
LOG_OUT "【"$CORE_TYPE"】Core Download Successful, Start Update..."
[ -s "/tmp/clash_meta.tar.gz" ] && {
tar zxvfo /tmp/clash_meta.tar.gz -C /tmp >/dev/null 2>&1
mv /tmp/clash /tmp/clash_meta >/dev/null 2>&1
rm -rf /tmp/clash_meta.tar.gz >/dev/null 2>&1
chmod 4755 /tmp/clash_meta >/dev/null 2>&1
/tmp/clash_meta -v >/dev/null 2>&1
}
if [ "$?" != "0" ]; then
LOG_OUT "【"$CORE_TYPE"】Core Update Failed. Please Make Sure Enough Flash Memory Space or Selected Correct Core Platform And Try Again!"
rm -rf /tmp/clash_meta >/dev/null 2>&1
SLOG_CLEAN
del_lock
exit 0
fi
if [ "$?" -eq 0 ]; then
gzip -t "$DOWNLOAD_FILE" >/dev/null 2>&1
mv /tmp/clash_meta "$meta_core_path" >/dev/null 2>&1
if [ "$?" -eq 0 ]; then
LOG_OUT "【"$CORE_TYPE"】Core Download Successful, Start Update..."
[ -s "$DOWNLOAD_FILE" ] && {
tar zxvfo "$DOWNLOAD_FILE" -C /tmp >/dev/null 2>&1
mv /tmp/clash /tmp/clash_meta >/dev/null 2>&1
rm -rf "$DOWNLOAD_FILE" >/dev/null 2>&1
chmod 4755 /tmp/clash_meta >/dev/null 2>&1
/tmp/clash_meta -v >/dev/null 2>&1
}
if [ "$?" != "0" ]; then
LOG_OUT "【"$CORE_TYPE"】Core Update Failed. Please Make Sure Enough Flash Memory Space or Selected Correct Core Platform And Try Again!"
rm -rf /tmp/clash_meta >/dev/null 2>&1
SLOG_CLEAN
del_lock
exit 0
fi
if [ "$?" == "0" ]; then
LOG_OUT "【"$CORE_TYPE"】Core Update Successful!"
if [ "$if_restart" -eq 1 ]; then
uci -q set openclash.config.restart=1
uci -q commit openclash
if ([ -z "$2" ] || ([ -n "$2" ] && [ "$2" != "one_key_update" ])) && [ "$(unify_ps_prevent)" -eq 0 ]; then
uci -q set openclash.config.restart=0
mv /tmp/clash_meta "$meta_core_path" >/dev/null 2>&1
if [ "$?" == "0" ]; then
LOG_OUT "【"$CORE_TYPE"】Core Update Successful!"
if [ "$if_restart" -eq 1 ]; then
uci -q set openclash.config.restart=1
uci -q commit openclash
/etc/init.d/openclash restart >/dev/null 2>&1 &
if ([ -z "$2" ] || ([ -n "$2" ] && [ "$2" != "one_key_update" ])) && [ "$(unify_ps_prevent)" -eq 0 ]; then
uci -q set openclash.config.restart=0
uci -q commit openclash
/etc/init.d/openclash restart >/dev/null 2>&1 &
fi
else
SLOG_CLEAN
fi
else
LOG_OUT "【"$CORE_TYPE"】Core Update Failed. Please Make Sure Enough Flash Memory Space And Try Again!"
SLOG_CLEAN
fi
else
LOG_OUT "【"$CORE_TYPE"】Core Update Failed. Please Make Sure Enough Flash Memory Space And Try Again!"
LOG_OUT "【"$CORE_TYPE"】Core Update Failed, Please Check The Network or Try Again Later!"
SLOG_CLEAN
fi
else
LOG_OUT "【"$CORE_TYPE"】Core Update Failed, Please Check The Network or Try Again Later!"
SLOG_CLEAN
fi
else
LOG_OUT "No Compiled Version Selected, Please Select In Update Page And Try Again!"

View File

@ -0,0 +1,22 @@
#!/bin/bash
. /usr/share/openclash/log.sh
DOWNLOAD_FILE_CURL() {
[ -z "$1" ] || [ -z "$2" ] && return 1
DOWNLOAD_URL=$1
DOWNLOAD_PATH=$2
DOWNLOAD_UA=$3
[ -z "$DOWNLOAD_UA" ] && DOWNLOAD_UA="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/125.0.0.0 Safari/537.36"
OUTPUT=$(curl -w "%{http_code}" -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 -H "User-Agent: ${DOWNLOAD_UA}" "$DOWNLOAD_URL" -o "$DOWNLOAD_PATH" 2>&1)
EXIR_CODE=${PIPESTATUS[0]}
HTTP_CODE=$(echo "$OUTPUT" | tail -n1)
OUTPUT=$(echo "$OUTPUT" | sed '$d' | sed ':a;N;$!ba; s/\n/ /g')
if [ "$EXIR_CODE" -ne 0 ] || [ "$HTTP_CODE" -ne 200 ]; then
LOG_OUT "$DOWNLOAD_PATH】Download Failed:【$OUTPUT"
rm -rf $DOWNLOAD_PATH
SLOG_CLEAN
return 1
else
return 0
fi
}

View File

@ -1,6 +1,7 @@
#!/bin/bash
. /usr/share/openclash/log.sh
. /lib/functions.sh
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 871>"/tmp/lock/openclash_dashboard.lock" 2>/dev/null
@ -18,7 +19,6 @@
DASH_TYPE="$2"
DASH_FILE_DIR="/tmp/dash.zip"
DASH_FILE_TMP="/tmp/dash/"
LOG_FILE="/tmp/openclash.log"
github_address_mod=$(uci -q get openclash.config.github_address_mod || echo 0)
if [ "$DASH_NAME" == "Dashboard" ]; then
UNPACK_FILE_DIR="/usr/share/openclash/ui/dashboard/"
@ -51,10 +51,10 @@
DOWNLOAD_PATH="https://codeload.github.com/MetaCubeX/metacubexd/zip/refs/heads/gh-pages"
FILE_PATH_INCLUDE="metacubexd-gh-pages"
fi
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$DOWNLOAD_PATH" -o "$DASH_FILE_DIR" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$DASH_FILE_DIR" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
if [ "${PIPESTATUS[0]}" -eq 0 ] && [ -s "$DASH_FILE_DIR" ] && [ -z "$(grep "404: Not Found" "$DASH_FILE_DIR")" ] && [ -z "$(grep "Package size exceeded the configured limit" "$DASH_FILE_DIR")" ]; then
DOWNLOAD_FILE_CURL "$DOWNLOAD_PATH" "$DASH_FILE_DIR"
if [ "$?" -eq 0 ] && [ -s "$DASH_FILE_DIR" ]; then
unzip -qt "$DASH_FILE_DIR" >/dev/null 2>&1
if [ "$?" -eq "0" ]; then
cp -rf "$UNPACK_FILE_DIR". "$BACKUP_FILE_DIR" >/dev/null 2>&1

View File

@ -1,6 +1,7 @@
#!/bin/bash
. /usr/share/openclash/log.sh
. /lib/functions.sh
. /usr/share/openclash/openclash_curl.sh
urlencode() {
if [ "$#" -eq 1 ]; then
@ -21,7 +22,6 @@
set_lock
RULE_FILE_NAME="$1"
LOG_FILE="/tmp/openclash.log"
RELEASE_BRANCH=$(uci -q get openclash.config.release_branch || echo "master")
github_address_mod=$(uci -q get openclash.config.github_address_mod || echo 0)
if [ -z "$(grep "$RULE_FILE_NAME" /usr/share/openclash/res/rule_providers.list 2>/dev/null)" ]; then
@ -48,26 +48,28 @@
if [ "$RULE_TYPE" = "game" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"gh/FQrabbit/SSTap-Rule@master/rules/"$DOWNLOAD_PATH" -o "$TMP_RULE_DIR" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$TMP_RULE_DIR" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/FQrabbit/SSTap-Rule@master/rules/${DOWNLOAD_PATH}"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/FQrabbit/SSTap-Rule/master/rules/"$DOWNLOAD_PATH" -o "$TMP_RULE_DIR" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$TMP_RULE_DIR" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://raw.githubusercontent.com/FQrabbit/SSTap-Rule/master/rules/${DOWNLOAD_PATH}"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://raw.githubusercontent.com/FQrabbit/SSTap-Rule/master/rules/"$DOWNLOAD_PATH" -o "$TMP_RULE_DIR" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$TMP_RULE_DIR" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://raw.githubusercontent.com/FQrabbit/SSTap-Rule/master/rules/${DOWNLOAD_PATH}"
fi
elif [ "$RULE_TYPE" = "provider" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"gh/"$(echo "$DOWNLOAD_PATH" |awk -F '/master' '{print $1}' 2>/dev/null)"@master"$(echo "$DOWNLOAD_PATH" |awk -F 'master' '{print $2}')" -o "$TMP_RULE_DIR" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$TMP_RULE_DIR" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_modgh}/$(echo ${DOWNLOAD_PATH} |awk -F '/master' '{print $1}' 2>/dev/null)@master$(echo ${DOWNLOAD_PATH} |awk -F 'master' '{print $2}')"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/"$DOWNLOAD_PATH" -o "$TMP_RULE_DIR" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$TMP_RULE_DIR" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://raw.githubusercontent.com/${DOWNLOAD_PATH}"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://raw.githubusercontent.com/"$DOWNLOAD_PATH" -o "$TMP_RULE_DIR" 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$TMP_RULE_DIR" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://raw.githubusercontent.com/${DOWNLOAD_PATH}"
fi
fi
if [ "${PIPESTATUS[0]}" -eq 0 ] && [ -s "$TMP_RULE_DIR" ] && [ -z "$(grep "404: Not Found" "$TMP_RULE_DIR")" ] && [ -z "$(grep "Package size exceeded the configured limit" "$TMP_RULE_DIR")" ]; then
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "$TMP_RULE_DIR"
if [ "$?" -eq 0 ] && [ -s "$TMP_RULE_DIR" ]; then
if [ "$RULE_TYPE" = "game" ]; then
cat "$TMP_RULE_DIR" |sed '/^#/d' 2>/dev/null |sed '/^ *$/d' 2>/dev/null |awk '{print " - "$0}' > "$TMP_RULE_DIR_TMP" 2>/dev/null
sed -i '1i\payload:' "$TMP_RULE_DIR_TMP" 2>/dev/null

View File

@ -1,6 +1,7 @@
#!/bin/bash
. /usr/share/openclash/openclash_ps.sh
. /usr/share/openclash/log.sh
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 873>"/tmp/lock/openclash_geoip.lock" 2>/dev/null
@ -17,7 +18,6 @@
small_flash_memory=$(uci get openclash.config.small_flash_memory 2>/dev/null)
GEOIP_CUSTOM_URL=$(uci get openclash.config.geoip_custom_url 2>/dev/null)
github_address_mod=$(uci -q get openclash.config.github_address_mod || echo 0)
LOG_FILE="/tmp/openclash.log"
restart=0
if [ "$small_flash_memory" != "1" ]; then
@ -31,17 +31,18 @@
if [ -z "$GEOIP_CUSTOM_URL" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "${github_address_mod}gh/Loyalsoldier/v2ray-rules-dat@release/geoip.dat" -o /tmp/GeoIP.dat 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/GeoIP.dat" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/Loyalsoldier/v2ray-rules-dat@release/geoip.dat"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geoip.dat -o /tmp/GeoIP.dat 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/GeoIP.dat" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geoip.dat"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geoip.dat" -o /tmp/GeoIP.dat 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/GeoIP.dat" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geoip.dat"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$GEOIP_CUSTOM_URL" -o /tmp/GeoIP.dat 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/GeoIP.dat" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL=$GEOIP_CUSTOM_URL
fi
if [ "${PIPESTATUS[0]}" -eq "0" ] && [ -s "/tmp/GeoIP.dat" ]; then
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "/tmp/GeoIP.dat"
if [ "$?" -eq 0 ] && [ -s "/tmp/GeoIP.dat" ]; then
LOG_OUT "GeoIP Dat Download Success, Check Updated..."
cmp -s /tmp/GeoIP.dat "$geoip_path"
if [ "$?" -ne "0" ]; then

View File

@ -1,6 +1,7 @@
#!/bin/bash
. /usr/share/openclash/openclash_ps.sh
. /usr/share/openclash/log.sh
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 874>"/tmp/lock/openclash_geosite.lock" 2>/dev/null
@ -17,7 +18,6 @@
small_flash_memory=$(uci get openclash.config.small_flash_memory 2>/dev/null)
GEOSITE_CUSTOM_URL=$(uci get openclash.config.geosite_custom_url 2>/dev/null)
github_address_mod=$(uci -q get openclash.config.github_address_mod || echo 0)
LOG_FILE="/tmp/openclash.log"
restart=0
if [ "$small_flash_memory" != "1" ]; then
@ -31,17 +31,18 @@
if [ -z "$GEOSITE_CUSTOM_URL" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"gh/Loyalsoldier/v2ray-rules-dat@release/geosite.dat -o /tmp/GeoSite.dat 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/GeoSite.dat" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/Loyalsoldier/v2ray-rules-dat@release/geosite.dat"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geosite.dat -o /tmp/GeoSite.dat 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/GeoSite.dat" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geosite.dat"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geosite.dat -o /tmp/GeoSite.dat 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/GeoSite.dat" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geosite.dat"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$GEOSITE_CUSTOM_URL" -o /tmp/GeoSite.dat 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/GeoSite.dat" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL=$GEOSITE_CUSTOM_URL
fi
if [ "${PIPESTATUS[0]}" -eq "0" ] && [ -s "/tmp/GeoSite.dat" ]; then
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "/tmp/GeoSite.dat"
if [ "$?" -eq 0 ] && [ -s "/tmp/GeoSite.dat" ]; then
LOG_OUT "GeoSite Database Download Success, Check Updated..."
cmp -s /tmp/GeoSite.dat "$geosite_path"
if [ "$?" -ne "0" ]; then

View File

@ -1,6 +1,7 @@
#!/bin/bash
. /usr/share/openclash/openclash_ps.sh
. /usr/share/openclash/log.sh
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 880>"/tmp/lock/openclash_ipdb.lock" 2>/dev/null
@ -17,7 +18,6 @@
small_flash_memory=$(uci get openclash.config.small_flash_memory 2>/dev/null)
GEOIP_CUSTOM_URL=$(uci get openclash.config.geo_custom_url 2>/dev/null)
github_address_mod=$(uci -q get openclash.config.github_address_mod || echo 0)
LOG_FILE="/tmp/openclash.log"
restart=0
if [ "$small_flash_memory" != "1" ]; then
@ -31,20 +31,21 @@
if [ -z "$GEOIP_CUSTOM_URL" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"gh/alecthw/mmdb_china_ip_list@release/lite/Country.mmdb -o /tmp/Country.mmdb 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/Country.mmdb" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/alecthw/mmdb_china_ip_list@release/lite/Country.mmdb"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/alecthw/mmdb_china_ip_list/release/lite/Country.mmdb -o /tmp/Country.mmdb 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/Country.mmdb" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://raw.githubusercontent.com/alecthw/mmdb_china_ip_list/release/lite/Country.mmdb"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://raw.githubusercontent.com/alecthw/mmdb_china_ip_list/release/lite/Country.mmdb -o /tmp/Country.mmdb 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/Country.mmdb" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://raw.githubusercontent.com/alecthw/mmdb_china_ip_list/release/lite/Country.mmdb"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$GEOIP_CUSTOM_URL" -o /tmp/Country.mmdb 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/Country.mmdb" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL=$GEOIP_CUSTOM_URL
fi
if [ "${PIPESTATUS[0]}" -eq 0 ] && [ -s "/tmp/Country.mmdb" ]; then
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "/tmp/Country.mmdb"
if [ "$?" -eq 0 ] && [ -s "/tmp/Country.mmdb" ]; then
LOG_OUT "Geoip Database Download Success, Check Updated..."
cmp -s /tmp/Country.mmdb "$geoip_path"
if [ "$?" -ne "0" ]; then
if [ "$?" -ne 0 ]; then
LOG_OUT "Geoip Database Has Been Updated, Starting To Replace The Old Version..."
mv /tmp/Country.mmdb "$geoip_path" >/dev/null 2>&1
LOG_OUT "Geoip Database Update Successful!"

View File

@ -3,6 +3,7 @@
. /lib/functions.sh
. /usr/share/openclash/ruby.sh
. /usr/share/openclash/log.sh
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 877>"/tmp/lock/openclash_rule.lock" 2>/dev/null
@ -36,17 +37,18 @@
if [ "$rule_name" = "lhie1" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"gh/dler-io/Rules@master/Clash/Rule.yaml -o /tmp/rules.yaml 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/rules.yaml" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/dler-io/Rules@master/Clash/Rule.yaml"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/dler-io/Rules/master/Clash/Rule.yaml -o /tmp/rules.yaml 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/rules.yaml" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://raw.githubusercontent.com/dler-io/Rules/master/Clash/Rule.yaml"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://raw.githubusercontent.com/dler-io/Rules/master/Clash/Rule.yaml -o /tmp/rules.yaml 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/rules.yaml" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://raw.githubusercontent.com/dler-io/Rules/master/Clash/Rule.yaml"
fi
sed -i '1i rules:' /tmp/rules.yaml
fi
if [ -s "/tmp/rules.yaml" ]; then
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "/tmp/rules.yaml"
if [ "$?" -eq 0 ] && [ -s "/tmp/rules.yaml" ]; then
LOG_OUT "Download Successful, Start Preprocessing Rule File..."
sed -i '1i rules:' /tmp/rules.yaml
ruby -ryaml -rYAML -I "/usr/share/openclash" -E UTF-8 -e "
begin
YAML.load_file('/tmp/rules.yaml');

View File

@ -251,7 +251,7 @@ function unlock_auto_select()
--loop proxy test
for i = 1, #(value.all) do
while true do
if value.all[i] == "REJECT" then
if value.all[i] == "REJECT" or value.all[i] == "REJECT-DROP" or value.all[i] == "PASS" then
break
else
get_proxy(info, value.all[i], value.name)
@ -294,7 +294,7 @@ function unlock_auto_select()
table.insert(tested_proxy, proxy)
end
while true do
if proxy == "REJECT" or get_group_now(info, proxy) == "REJECT" then
if proxy == "REJECT" or proxy == "REJECT-DROP" or proxy == "PASS" or get_group_now(info, proxy) == "REJECT" or get_group_now(info, proxy) == "REJECT-DROP" or get_group_now(info, proxy) == "PASS" then
break
else
SYS.exec(string.format("curl -sL -m 5 --retry 2 -w %%{http_code} -o /dev/null -H 'Authorization: Bearer %s' -H 'Content-Type:application/json' -X PUT -d '{\"name\":\"%s\"}' http://%s:%s/proxies/%s", passwd, proxy, ip, port, urlencode(group_name)))

View File

@ -1,5 +1,6 @@
#!/bin/bash
. /usr/share/openclash/log.sh
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 878>"/tmp/lock/openclash_update.lock" 2>/dev/null
@ -37,7 +38,6 @@ elif [ -x "/usr/bin/apk" ]; then
fi
OP_LV=$(sed -n 1p "$LAST_OPVER" 2>/dev/null |awk -F 'v' '{print $2}' |awk -F '.' '{print $2$3}' 2>/dev/null)
RELEASE_BRANCH=$(uci -q get openclash.config.release_branch || echo "master")
LOG_FILE="/tmp/openclash.log"
github_address_mod=$(uci -q get openclash.config.github_address_mod || echo 0)
#一键更新
@ -66,26 +66,34 @@ if [ -n "$OP_CV" ] && [ -n "$OP_LV" ] && [ "$(expr "$OP_LV" \> "$OP_CV")" -eq 1
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
if [ -x "/bin/opkg" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"gh/vernesong/OpenClash@package/"$RELEASE_BRANCH"/luci-app-openclash_"$LAST_VER"_all.ipk -o /tmp/openclash.ipk 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/openclash.ipk" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/vernesong/OpenClash@package/${RELEASE_BRANCH}/luci-app-openclash_${LAST_VER}_all.ipk"
DOWNLOAD_PATH="/tmp/openclash.ipk"
elif [ -x "/usr/bin/apk" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"gh/vernesong/OpenClash@package/"$RELEASE_BRANCH"/luci-app-openclash-"$LAST_VER".apk -o /tmp/openclash.apk 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/openclash.apk" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/vernesong/OpenClash@package/${RELEASE_BRANCH}/luci-app-openclash-${LAST_VER}.apk"
DOWNLOAD_PATH="/tmp/openclash.apk"
fi
else
if [ -x "/bin/opkg" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/vernesong/OpenClash/package/"$RELEASE_BRANCH"/luci-app-openclash_"$LAST_VER"_all.ipk -o /tmp/openclash.ipk 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/openclash.ipk" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://raw.githubusercontent.com/vernesong/OpenClash/package/${RELEASE_BRANCH}/luci-app-openclash_${LAST_VER}_all.ipk"
DOWNLOAD_PATH="/tmp/openclash.ipk"
elif [ -x "/usr/bin/apk" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/vernesong/OpenClash/package/"$RELEASE_BRANCH"/luci-app-openclash-"$LAST_VER".apk -o /tmp/openclash.apk 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/openclash.apk" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://raw.githubusercontent.com/vernesong/OpenClash/package/${RELEASE_BRANCH}/luci-app-openclash-${LAST_VER}.apk"
DOWNLOAD_PATH="/tmp/openclash.apk"
fi
fi
else
if [ -x "/bin/opkg" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://raw.githubusercontent.com/vernesong/OpenClash/package/"$RELEASE_BRANCH"/luci-app-openclash_"$LAST_VER"_all.ipk -o /tmp/openclash.ipk 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/openclash.ipk" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://raw.githubusercontent.com/vernesong/OpenClash/package/${RELEASE_BRANCH}/luci-app-openclash_${LAST_VER}_all.ipk"
DOWNLOAD_PATH="/tmp/openclash.ipk"
elif [ -x "/usr/bin/apk" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://raw.githubusercontent.com/vernesong/OpenClash/package/"$RELEASE_BRANCH"/luci-app-openclash-"$LAST_VER".apk -o /tmp/openclash.apk 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="/tmp/openclash.apk" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://raw.githubusercontent.com/vernesong/OpenClash/package/${RELEASE_BRANCH}/luci-app-openclash-${LAST_VER}.apk"
DOWNLOAD_PATH="/tmp/openclash.apk"
fi
fi
if [ "${PIPESTATUS[0]}" -eq 0 ]; then
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "$DOWNLOAD_PATH"
if [ "$?" -eq 0 ]; then
LOG_OUT "【OpenClash - v$LAST_VER】Download Successful, Start Pre Update Test..."
if [ -x "/bin/opkg" ]; then
if [ -s "/tmp/openclash.ipk" ]; then
@ -106,7 +114,7 @@ if [ -n "$OP_CV" ] && [ -n "$OP_LV" ] && [ "$(expr "$OP_LV" \> "$OP_CV")" -eq 1
if [ -s "/tmp/openclash.apk" ]; then
apk update >/dev/null 2>&1
apk add -s -q --force-overwrite --clean-protected --allow-untrusted /tmp/openclash.apk >/dev/null 2>&1
if [ "$?" != "0" ]; then
if [ "$?" -ne 0 ]; then
LOG_OUT "【OpenClash - v$LAST_VER】Pre Update Test Failed, The File is Saved in /tmp/openclash.apk, Please Try to Update Manually With【apk add -q --force-overwrite --clean-protected --allow-untrusted /tmp/openclash.apk】"
if [ "$(uci -q get openclash.config.restart)" -eq 1 ]; then
uci -q set openclash.config.restart=0
@ -153,10 +161,10 @@ elif [ -x "/usr/bin/apk" ]; then
apk add -q --force-overwrite --clean-protected --allow-untrusted /tmp/openclash.apk
fi
if [ -x "/bin/opkg" ]; then
if [ "$?" != "0" ] || [ -z "$(opkg info *openclash |grep Installed-Time)" ]; then
if [ "$?" -ne 0 ] || [ -z "$(opkg info *openclash |grep Installed-Time)" ]; then
opkg install /tmp/openclash.ipk
fi
if [ "$?" == "0" ] && [ -n "$(opkg info *openclash |grep Installed-Time)" ]; then
if [ "$?" -eq 0 ] && [ -n "$(opkg info *openclash |grep Installed-Time)" ]; then
rm -rf /tmp/openclash.ipk >/dev/null 2>&1
LOG_OUT "OpenClash Update Successful, About To Restart!"
uci -q set openclash.config.enable=1
@ -167,10 +175,10 @@ if [ -x "/bin/opkg" ]; then
SLOG_CLEAN
fi
elif [ -x "/usr/bin/apk" ]; then
if [ "$?" != "0" ] || [ -z "$(apk list luci-app-openclash 2>/dev/null |grep 'installed')" ]; then
if [ "$?" -ne 0 ] || [ -z "$(apk list luci-app-openclash 2>/dev/null |grep 'installed')" ]; then
apk add -q --force-overwrite --clean-protected --allow-untrusted /tmp/openclash.apk
fi
if [ "$?" == "0" ] || [ -n "$(apk list luci-app-openclash 2>/dev/null |grep 'installed')" ]; then
if [ "$?" -eq 0 ] || [ -n "$(apk list luci-app-openclash 2>/dev/null |grep 'installed')" ]; then
rm -rf /tmp/openclash.apk >/dev/null 2>&1
LOG_OUT "OpenClash Update Successful, About To Restart!"
uci -q set openclash.config.enable=1

View File

@ -1,4 +1,6 @@
#!/bin/bash
. /usr/share/openclash/openclash_curl.sh
set_lock() {
exec 869>"/tmp/lock/openclash_version.lock" 2>/dev/null
flock -x 869 2>/dev/null
@ -13,35 +15,36 @@ set_lock
TIME=$(date "+%Y-%m-%d-%H")
CHTIME=$(date "+%Y-%m-%d-%H" -r "/tmp/openclash_last_version" 2>/dev/null)
LAST_OPVER="/tmp/openclash_last_version"
DOWNLOAD_FILE="/tmp/openclash_last_version"
RELEASE_BRANCH=$(uci -q get openclash.config.release_branch || echo "master")
if [ -x "/bin/opkg" ]; then
OP_CV=$(rm -f /var/lock/opkg.lock && opkg status luci-app-openclash 2>/dev/null |grep 'Version' |awk -F 'Version: ' '{print $2}' |awk -F '.' '{print $2$3}' 2>/dev/null)
elif [ -x "/usr/bin/apk" ]; then
OP_CV=$(apk list luci-app-openclash 2>/dev/null|grep 'installed' | grep -oE '[0-9]+(\.[0-9]+)*' | head -1 |awk -F '.' '{print $2$3}' 2>/dev/null)
fi
OP_LV=$(sed -n 1p $LAST_OPVER 2>/dev/null |awk -F 'v' '{print $2}' |awk -F '.' '{print $2$3}' 2>/dev/null)
OP_LV=$(sed -n 1p $DOWNLOAD_FILE 2>/dev/null |awk -F 'v' '{print $2}' |awk -F '.' '{print $2$3}' 2>/dev/null)
github_address_mod=$(uci -q get openclash.config.github_address_mod || echo 0)
if [ -n "$1" ]; then
github_address_mod="$1"
fi
LOG_FILE="/tmp/openclash.log"
if [ "$TIME" != "$CHTIME" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ] || [ "$github_address_mod" == "https://fastly.jsdelivr.net/" ] || [ "$github_address_mod" == "https://testingcf.jsdelivr.net/" ]; then
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"gh/vernesong/OpenClash@package/"$RELEASE_BRANCH"/version -o $LAST_OPVER 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$LAST_OPVER" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}gh/vernesong/OpenClash@package/${RELEASE_BRANCH}/version"
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/vernesong/OpenClash/package/"$RELEASE_BRANCH"/version -o $LAST_OPVER 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$LAST_OPVER" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="${github_address_mod}https://raw.githubusercontent.com/vernesong/OpenClash/package/${RELEASE_BRANCH}/version"
fi
else
curl -SsL --connect-timeout 30 -m 60 --speed-time 30 --speed-limit 1 --retry 2 https://raw.githubusercontent.com/vernesong/OpenClash/package/"$RELEASE_BRANCH"/version -o $LAST_OPVER 2>&1 |sed ':a;N;$!ba; s/\n/ /g' | awk -v time="$(date "+%Y-%m-%d %H:%M:%S")" -v file="$LAST_OPVER" '{print time "【" file "】Download Failed:【"$0"】"}' >> "$LOG_FILE"
DOWNLOAD_URL="https://raw.githubusercontent.com/vernesong/OpenClash/package/${RELEASE_BRANCH}/version"
fi
if [ "${PIPESTATUS[0]}" -eq 0 ] && [ -z "$(cat $LAST_OPVER |grep '<html>')" ]; then
OP_LV=$(sed -n 1p $LAST_OPVER 2>/dev/null |awk -F 'v' '{print $2}' |awk -F '.' '{print $2$3}' 2>/dev/null)
DOWNLOAD_FILE_CURL "$DOWNLOAD_URL" "$DOWNLOAD_FILE"
if [ "$?" -eq 0 ]; then
OP_LV=$(sed -n 1p $DOWNLOAD_FILE 2>/dev/null |awk -F 'v' '{print $2}' |awk -F '.' '{print $2$3}' 2>/dev/null)
if [ "$(expr "$OP_CV" \>= "$OP_LV")" = "1" ]; then
sed -i '/^https:/,$d' $LAST_OPVER
sed -i '/^https:/,$d' $DOWNLOAD_FILE
elif [ "$(expr "$OP_LV" \> "$OP_CV")" = "1" ] && [ -n "$OP_LV" ]; then
del_lock
exit 2
@ -49,8 +52,6 @@ if [ "$TIME" != "$CHTIME" ]; then
del_lock
exit 0
fi
else
rm -rf "$LAST_OPVER"
fi
elif [ "$(expr "$OP_LV" \> "$OP_CV")" = "1" ] && [ -n "$OP_LV" ]; then
del_lock

View File

@ -178,7 +178,7 @@ yml_dns_get()
return
fi
if [[ "$ip" =~ "$regex" ]]; then
if [[ "$ip" =~ "$regex" ]] || [ -n "$(echo ${ip} |grep -Eo ${regex})" ]; then
ip="[${ip}]"
fi
@ -788,10 +788,24 @@ begin
Value['dns'].merge!(Value_1);
Value['dns'].merge!(Value_2);
end;
if ${33} == 1 or Value['dns']['respect-rules'].to_s == 'true' then
if not Value['dns'].has_key?('proxy-server-nameserver') or Value['dns']['proxy-server-nameserver'].to_a.empty? then
local_exclude = (%x{ls -l /sys/class/net/ |awk '{print \$9}' 2>&1}.each_line.map(&:strip) + ['h3=', 'skip-cert-verify=', 'ecs=', 'ecs-override='] + ['utun', 'tailscale0', 'docker0', 'tun163', 'br-lan', 'mihomo']).uniq.join('|');
reg = /^[^#&]+#(?:(?:#{local_exclude})[^&]*&)*(?:(?!(?:#{local_exclude}))[^&]+)/;
if not Value['dns'].has_key?('proxy-server-nameserver') or Value['dns']['proxy-server-nameserver'].to_a.empty? then
all_match = Value['dns']['nameserver'].all? { |x| x =~ reg }
if ${33} == 1 or Value['dns']['respect-rules'].to_s == 'true' or all_match then
Value['dns'].merge!({'proxy-server-nameserver'=>['114.114.114.114','119.29.29.29','8.8.8.8','1.1.1.1']});
YAML.LOG('Tip: Respect-rules Option Need Proxy-server-nameserver Option Must Be Setted, Auto Set to【114.114.114.114, 119.29.29.29, 8.8.8.8, 1.1.1.1】');
if all_match then
YAML.LOG('Tip: Nameserver Option Maybe All Setted The Proxy Option, Auto Set Proxy-server-nameserver Option to【114.114.114.114, 119.29.29.29, 8.8.8.8, 1.1.1.1】For Avoiding Proxies Server Resolve Loop...');
else
YAML.LOG('Tip: Respect-rules Option Need Proxy-server-nameserver Option Must Be Setted, Auto Set to【114.114.114.114, 119.29.29.29, 8.8.8.8, 1.1.1.1】');
end;
end;
else
all_match = Value['dns']['proxy-server-nameserver'].all? { |x| x =~ reg }
if all_match then
Value_1={'proxy-server-nameserver'=>['114.114.114.114','119.29.29.29','8.8.8.8','1.1.1.1']};
Value['dns']['proxy-server-nameserver'] = Value['dns']['proxy-server-nameserver'] | Value_1['proxy-server-nameserver'];
YAML.LOG('Tip: Proxy-server-nameserver Option Maybe All Setted The Proxy Option, Auto Set Proxy-server-nameserver Option to【114.114.114.114, 119.29.29.29, 8.8.8.8, 1.1.1.1】For Avoiding Proxies Server Resolve Loop...');
end;
end;
rescue Exception => e

View File

@ -139,19 +139,20 @@ ruby -ryaml -rYAML -I "/usr/share/openclash" -E UTF-8 -e "
threadsp = [];
threads_uci = [];
uci_commands = [];
uci_name_tmp = [];
if not Value.key?('proxy-groups') or Value['proxy-groups'].nil? then
proxy-groups = [];
end;
Value_1 = File.readlines('/tmp/Proxy_Group').map!{|x| x.strip};
Value['proxy-groups'].each do |x|
Value['proxy-groups'].each_with_index do |x, index|
uci_name_tmp << %x{uci -q add openclash groups 2>&1}.chomp
threadsp << Thread.new {
begin
next unless x['name'] && x['type'];
uci_name_tmp=%x{uci -q add openclash groups 2>&1}.chomp
uci_set='uci -q set openclash.' + uci_name_tmp + '.'
uci_add='uci -q add_list openclash.' + uci_name_tmp + '.'
uci_set='uci -q set openclash.' + uci_name_tmp[index] + '.'
uci_add='uci -q add_list openclash.' + uci_name_tmp[index] + '.'
YAML.LOG('Start Getting【${CONFIG_NAME} - ' + x['type'].to_s + ' - ' + x['name'].to_s + '】Group Setting...');
@ -248,6 +249,11 @@ ruby -ryaml -rYAML -I "/usr/share/openclash" -E UTF-8 -e "
};
end;
threads_uci.each(&:join);
uci_name_tmp.each do |x|
if x =~ /uci -q delete/ then
system(x);
end;
end;
system('uci -q commit openclash');
system('rm -rf /tmp/yaml_other_group.yaml 2>/dev/null');
" 2>/dev/null >> $LOG_FILE

View File

@ -25,6 +25,9 @@ if [ -f "$CFG_FILE" ]; then
if [ -f "/tmp/Proxy_Group" ]; then
echo 'DIRECT' >>/tmp/Proxy_Group
echo 'REJECT' >>/tmp/Proxy_Group
echo 'REJECT-DROP' >>/tmp/Proxy_Group
echo 'PASS' >>/tmp/Proxy_Group
echo 'GLOBAL' >>/tmp/Proxy_Group
else
return 1
fi

View File

@ -52,7 +52,7 @@ set_groups()
return
fi
if [ "$1" = "all" ] || [[ "$3" =~ ${1} ]]; then
if [ "$1" = "all" ] || [[ "$3" =~ ${1} ]] || [ -n "$(echo ${3} |grep -Eo ${1})" ]; then
set_group=1
add_for_this=1
echo " - \"${2}\"" >>$GROUP_FILE
@ -76,7 +76,7 @@ set_relay_groups()
fi
if [ -n "$server_relay_num" ]; then
if [[ "$3" =~ ${server_group_name} ]] || [ "$server_group_name" = "all" ]; then
if [[ "$3" =~ ${server_group_name} ]] || [ -n "$(echo ${3} |grep -Eo ${server_group_name})" ] || [ "$server_group_name" = "all" ]; then
set_group=1
add_for_this=1
echo "$server_relay_num # - \"${2}\"" >>/tmp/relay_server
@ -140,7 +140,7 @@ add_other_group()
return
fi
if [ "$2" = "all" ] || [[ "$name" =~ ${2} ]]; then
if [ "$2" = "all" ] || [[ "$name" =~ ${2} ]] || [ -n "$(echo ${name} |grep -Eo ${2})" ]; then
set_group=1
echo " - ${name}" >>$GROUP_FILE
fi
@ -153,18 +153,36 @@ set_other_groups()
return
fi
if [[ "$1" =~ "DIRECT" ]]; then
if [[ "$1" =~ "DIRECT" ]] || [ -n "$(echo ${1} |grep 'DIRECT')" ]; then
set_group=1
echo " - DIRECT" >>$GROUP_FILE
return
fi
if [[ "$1" =~ "REJECT" ]]; then
if [[ "$1" =~ "REJECT" ]] || [ -n "$(echo ${1} |grep 'REJECT')" ]; then
set_group=1
echo " - REJECT" >>$GROUP_FILE
return
fi
if [[ "$1" =~ "REJECT-DROP" ]] || [ -n "$(echo ${1} |grep 'REJECT-DROP')" ]; then
set_group=1
echo " - REJECT-DROP" >>$GROUP_FILE
return
fi
if [[ "$1" =~ "PASS" ]] || [ -n "$(echo ${1} |grep 'PASS')" ]; then
set_group=1
echo " - PASS" >>$GROUP_FILE
return
fi
if [[ "$1" =~ "GLOBAL" ]] || [ -n "$(echo ${1} |grep 'GLOBAL')" ]; then
set_group=1
echo " - GLOBAL" >>$GROUP_FILE
return
fi
config_foreach add_other_group "groups" "$1" "$2" #比对策略组
}
@ -205,7 +223,7 @@ set_provider_groups()
return
fi
if [[ "$3" =~ ${1} ]] || [ "$1" = "all" ]; then
if [[ "$3" =~ ${1} ]] || [ -n "$(echo ${3} |grep -Eo ${1})" ] || [ "$1" = "all" ]; then
set_proxy_provider=1
add_for_this=1
echo " - ${2}" >>$GROUP_FILE

View File

@ -157,6 +157,8 @@ ruby -ryaml -rYAML -I "/usr/share/openclash" -E UTF-8 -e "
threads_pr = [];
threads_uci = [];
uci_commands = [];
uci_name_tmp_prv = [];
uci_name_tmp = [];
if not Value.key?('proxy-providers') or Value['proxy-providers'].nil? then
Value['proxy-providers'] = {};
@ -166,7 +168,8 @@ ruby -ryaml -rYAML -I "/usr/share/openclash" -E UTF-8 -e "
Value['proxies'] = [];
end;
Value['proxy-providers'].each do |x,y|
Value['proxy-providers'].each_with_index do |(x,y), index|
uci_name_tmp_prv << %x{uci -q add openclash proxy-provider 2>&1}.chomp;
threads_pr << Thread.new {
begin
YAML.LOG('Start Getting【${CONFIG_NAME} - ' + y['type'].to_s + ' - ' + x.to_s + '】Proxy-provider Setting...');
@ -177,20 +180,18 @@ ruby -ryaml -rYAML -I "/usr/share/openclash" -E UTF-8 -e "
cmd = 'sed -i \"/^' + provider_nums + '\./c\\#match#\" $match_provider 2>/dev/null';
system(cmd);
uci_set='uci -q set openclash.@proxy-provider[' + provider_nums + '].';
uci_get='uci -q get openclash.@proxy-provider[' + provider_nums + '].';
uci_add='uci -q add_list openclash.@proxy-provider[' + provider_nums + '].';
uci_del='uci -q delete openclash.@proxy-provider[' + provider_nums + '].';
cmd = uci_get + 'manual';
if not provider_nums then
uci_commands << uci_set + 'manual=0';
end;
uci_commands << uci_set + 'type=\"' + y['type'].to_s + '\"';
uci_name_tmp_prv[index] = 'uci -q delete openclash.' + uci_name_tmp_prv[index];
else
#代理集不存在时添加新代理集
uci_name_tmp=%x{uci -q add openclash proxy-provider 2>&1}.chomp;
uci_set='uci -q set openclash.' + uci_name_tmp + '.';
uci_add='uci -q add_list openclash.' + uci_name_tmp + '.';
uci_del='uci -q delete openclash.' + uci_name_tmp + '.';
uci_set='uci -q set openclash.' + uci_name_tmp_prv[index] + '.';
uci_add='uci -q add_list openclash.' + uci_name_tmp_prv[index] + '.';
uci_del='uci -q delete openclash.' + uci_name_tmp_prv[index] + '.';
if '$config_group_exist' == 0 and '$servers_if_update' == '1' and '$servers_update' == 1 then
uci_commands << uci_set + 'enabled=0';
@ -289,17 +290,18 @@ ruby -ryaml -rYAML -I "/usr/share/openclash" -E UTF-8 -e "
end
};
};
threads_agr.each(&:join)
threads_agr.each(&:join);
end;
};
threads_prv.each(&:join)
threads_prv.each(&:join);
rescue Exception => e
YAML.LOG('Error: Resolve Proxy-providers Failed,【${CONFIG_NAME} - ' + x + ': ' + e.message + '】');
end;
};
end;
Value['proxies'].each do |x|
Value['proxies'].each_with_index do |x, index|
uci_name_tmp << %x{uci -q add openclash servers 2>&1}.chomp;
threads_pr << Thread.new {
begin
YAML.LOG('Start Getting【${CONFIG_NAME} - ' + x['type'].to_s + ' - ' + x['name'].to_s + '】Proxy Setting...');
@ -311,19 +313,17 @@ ruby -ryaml -rYAML -I "/usr/share/openclash" -E UTF-8 -e "
cmd = 'sed -i \"/^' + server_num + '\./c\\#match#\" $match_servers 2>/dev/null';
system(cmd);
uci_set='uci -q set openclash.@servers[' + server_num + '].';
uci_get='uci -q get openclash.@servers[' + server_num + '].';
uci_add='uci -q add_list openclash.@servers[' + server_num + '].';
uci_del='uci -q delete openclash.@servers[' + server_num + '].';
cmd = uci_get + 'manual';
if not server_num then
uci_commands << uci_set + 'manual=0';
end;
uci_name_tmp[index] = 'uci -q delete openclash.' + uci_name_tmp[index];
else
#添加新节点
uci_name_tmp=%x{uci -q add openclash servers 2>&1}.chomp;
uci_set='uci -q set openclash.' + uci_name_tmp + '.';
uci_add='uci -q add_list openclash.' + uci_name_tmp + '.';
uci_del='uci -q delete openclash.' + uci_name_tmp + '.';
uci_set='uci -q set openclash.' + uci_name_tmp[index] + '.';
uci_add='uci -q add_list openclash.' + uci_name_tmp[index] + '.';
uci_del='uci -q delete openclash.' + uci_name_tmp[index] + '.';
if '$config_group_exist' == 0 and '$servers_if_update' == '1' and '$servers_update' == 1 then
uci_commands << uci_set + 'enabled=0';
else
@ -1452,6 +1452,16 @@ ruby -ryaml -rYAML -I "/usr/share/openclash" -E UTF-8 -e "
};
end;
threads_uci.each(&:join);
uci_name_tmp.each do |x|
if x =~ /uci -q delete/ then
system(x);
end;
end;
uci_name_tmp_prv.each do |x|
if x =~ /uci -q delete/ then
system(x);
end;
end;
system('uci -q commit openclash');
" 2>/dev/null >> $LOG_FILE

View File

@ -262,7 +262,7 @@ yml_rule_group_get()
return
fi
if [ -z "$group" ] || [ "$group" = "DIRECT" ] || [ "$group" = "REJECT" ]; then
if [ -z "$group" ] || [ "$group" = "DIRECT" ] || [ "$group" = "REJECT" ] || [ "$group" = "REJECT-DROP" ] || [ "$group" = "PASS" ] || [ "$group" = "COMPATIBLE" ] || [ "$group" = "GLOBAL" ]; then
return
fi
@ -362,9 +362,41 @@ yml_other_set()
#BT/P2P DIRECT Rules
begin
if $4 == 1 then
Value['rules']=Value['rules'].to_a.insert(0,
'GEOSITE,category-public-tracker,DIRECT'
);
if system('strings /etc/openclash/GeoSite.dat /etc/openclash/GeoSite.dat |grep -i category-public-tracker >/dev/null 2>&1') then
Value['rules']=Value['rules'].to_a.insert(0,
'GEOSITE,category-public-tracker,DIRECT'
);
else
Value['rules']=Value['rules'].to_a.insert(0,
'DOMAIN-SUFFIX,awesome-hd.me,DIRECT',
'DOMAIN-SUFFIX,broadcasthe.net,DIRECT',
'DOMAIN-SUFFIX,chdbits.co,DIRECT',
'DOMAIN-SUFFIX,classix-unlimited.co.uk,DIRECT',
'DOMAIN-SUFFIX,empornium.me,DIRECT',
'DOMAIN-SUFFIX,gazellegames.net,DIRECT',
'DOMAIN-SUFFIX,hdchina.org,DIRECT',
'DOMAIN-SUFFIX,hdsky.me,DIRECT',
'DOMAIN-SUFFIX,icetorrent.org,DIRECT',
'DOMAIN-SUFFIX,jpopsuki.eu,DIRECT',
'DOMAIN-SUFFIX,keepfrds.com,DIRECT',
'DOMAIN-SUFFIX,madsrevolution.net,DIRECT',
'DOMAIN-SUFFIX,m-team.cc,DIRECT',
'DOMAIN-SUFFIX,nanyangpt.com,DIRECT',
'DOMAIN-SUFFIX,ncore.cc,DIRECT',
'DOMAIN-SUFFIX,open.cd,DIRECT',
'DOMAIN-SUFFIX,ourbits.club,DIRECT',
'DOMAIN-SUFFIX,passthepopcorn.me,DIRECT',
'DOMAIN-SUFFIX,privatehd.to,DIRECT',
'DOMAIN-SUFFIX,redacted.ch,DIRECT',
'DOMAIN-SUFFIX,springsunday.net,DIRECT',
'DOMAIN-SUFFIX,tjupt.org,DIRECT',
'DOMAIN-SUFFIX,totheglory.im,DIRECT',
'DOMAIN-SUFFIX,smtp,DIRECT',
'DOMAIN-KEYWORD,announce,DIRECT',
'DOMAIN-KEYWORD,torrent,DIRECT',
'DOMAIN-KEYWORD,tracker,DIRECT'
);
end;
match_group=Value['rules'].grep(/(MATCH|FINAL)/)[0];
if not match_group.nil? then
common_port_group = (match_group.split(',')[-1] =~ /^no-resolve$|^src$/) ? match_group.split(',')[-2] : match_group.split(',')[-1];
@ -401,8 +433,10 @@ yml_other_set()
'DST-PORT,443,' + common_port_group
);
end;
end
Value['rules'].to_a.collect!{|x|x.to_s.gsub(/(^MATCH.*|^FINAL.*)/, 'MATCH,DIRECT')};
end;
Value['rules'].to_a.collect!{|x|x.to_s
.gsub(/GEOIP,([^,]+),([^,]+)(,.*)?/, 'GEOIP,\1,DIRECT\3')
.gsub(/(^MATCH.*|^FINAL.*)/, 'MATCH,DIRECT')};
end;
rescue Exception => e
YAML.LOG('Error: Set BT/P2P DIRECT Rules Failed,【' + e.message + '】');
@ -460,13 +494,12 @@ yml_other_set()
#CONFIG_GROUP
CUSTOM_RULE = YAML.load_file('/etc/openclash/custom/openclash_custom_rules.list')
CUSTOM_RULE_2 = YAML.load_file('/etc/openclash/custom/openclash_custom_rules_2.list')
CONFIG_GROUP = (Value['proxy-groups'].map { |x| x['name'] }\
+ ['DIRECT', 'REJECT']\
+ (if Value['proxies'] != nil and not Value['proxies'].empty? then Value['proxies'].map { |x| x['name'] } else [] end)\
+ (if Value['sub-rules'] != nil and not Value['sub-rules'].empty? then Value['sub-rules'].keys else [] end)\
+ (if CUSTOM_RULE['sub-rules'] != nil and not CUSTOM_RULE['sub-rules'].empty? then CUSTOM_RULE['sub-rules'].keys else [] end)\
+ (if CUSTOM_RULE_2['sub-rules'] != nil and not CUSTOM_RULE_2['sub-rules'].empty? then CUSTOM_RULE_2['sub-rules'].keys else [] end)\
).uniq;
CONFIG_GROUP = (['DIRECT', 'REJECT', 'GLOBAL', 'REJECT-DROP', 'PASS', 'COMPATIBLE'] +
(Value['proxy-groups']&.map { |x| x['name'] } || []) +
(Value['proxies']&.map { |x| x['name'] } || []) +
(Value['sub-rules']&.keys || []) +
(CUSTOM_RULE.is_a?(Hash) ? CUSTOM_RULE['sub-rules']&.keys || [] : []) +
(CUSTOM_RULE_2.is_a?(Hash) ? CUSTOM_RULE_2['sub-rules']&.keys || [] : [])).uniq;
#Custom Rule Set
begin
@ -486,7 +519,7 @@ yml_other_set()
Value_1 = YAML.load_file('/tmp/yaml_rule_set_bottom_custom.yaml');
if ruby_add_index != -1 then
Value_1['rules'].uniq.reverse.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if CONFIG_GROUP.include?(RULE_GROUP) then
Value['rules'].insert(ruby_add_index,x);
else
@ -495,7 +528,7 @@ yml_other_set()
};
else
Value_1['rules'].uniq.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if CONFIG_GROUP.include?(RULE_GROUP) then
Value['rules'].insert(ruby_add_index,x);
else
@ -507,7 +540,7 @@ yml_other_set()
if File::exist?('/tmp/yaml_rule_set_top_custom.yaml') then
Value_1 = YAML.load_file('/tmp/yaml_rule_set_top_custom.yaml');
Value_1['rules'].uniq.reverse.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if CONFIG_GROUP.include?(RULE_GROUP) then
Value['rules'].insert(0,x);
else
@ -519,7 +552,7 @@ yml_other_set()
if File::exist?('/tmp/yaml_rule_set_top_custom.yaml') then
Value_1 = YAML.load_file('/tmp/yaml_rule_set_top_custom.yaml')['rules'].uniq;
Value_1.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if not CONFIG_GROUP.include?(RULE_GROUP) then
Value_1.delete(x);
YAML.LOG('Warning: Skiped The Custom Rule Because Group & Proxy Not Found:【' + x + '】');
@ -530,7 +563,7 @@ yml_other_set()
if File::exist?('/tmp/yaml_rule_set_bottom_custom.yaml') then
Value_1 = YAML.load_file('/tmp/yaml_rule_set_bottom_custom.yaml')['rules'].uniq;
Value_1.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if not CONFIG_GROUP.include?(RULE_GROUP) then
Value_1.delete(x);
YAML.LOG('Warning: Skiped The Custom Rule Because Group & Proxy Not Found:【' + x + '】');
@ -564,7 +597,7 @@ yml_other_set()
end;
if defined? Value_2 then
Value_2.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if CONFIG_GROUP.include?(RULE_GROUP) then
Value['rules'].insert(0,x);
else
@ -597,7 +630,7 @@ yml_other_set()
Value_4 = Value_4.reverse!;
end;
Value_4.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if CONFIG_GROUP.include?(RULE_GROUP) then
Value['rules'].insert(ruby_add_index,x);
else
@ -615,7 +648,7 @@ yml_other_set()
if Value_1.class.to_s == 'Hash' then
if not Value_1['rules'].to_a.empty? and Value_1['rules'].class.to_s == 'Array' then
Value_1['rules'].to_a.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if not CONFIG_GROUP.include?(RULE_GROUP) then
Value_1['rules'].delete(x);
YAML.LOG('Warning: Skiped The Custom Rule Because Group & Proxy Not Found:【' + x + '】');
@ -626,7 +659,7 @@ yml_other_set()
end;
elsif Value_1.class.to_s == 'Array' then
Value_1.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if not CONFIG_GROUP.include?(RULE_GROUP) then
Value_1.delete(x);
YAML.LOG('Warning: Skiped The Custom Rule Because Group & Proxy Not Found:【' + x + '】');
@ -644,7 +677,7 @@ yml_other_set()
if Value_2.class.to_s == 'Hash' then
if not Value_2['rules'].to_a.empty? and Value_2['rules'].class.to_s == 'Array' then
Value_2['rules'].to_a.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if not CONFIG_GROUP.include?(RULE_GROUP) then
Value_2['rules'].delete(x);
YAML.LOG('Warning: Skiped The Custom Rule Because Group & Proxy Not Found:【' + x + '】');
@ -655,7 +688,7 @@ yml_other_set()
end;
elsif Value_2.class.to_s == 'Array' then
Value_2.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if not CONFIG_GROUP.include?(RULE_GROUP) then
Value_2.delete(x);
YAML.LOG('Warning: Skiped The Custom Rule Because Group & Proxy Not Found:【' + x + '】');
@ -684,7 +717,7 @@ yml_other_set()
Value_3 = Value_3.reverse!;
end
Value_3.each{|x|
RULE_GROUP = (x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1];
RULE_GROUP = ((x.split(',')[-1] =~ /^no-resolve$|^src$/) ? x.split(',')[-2] : x.split(',')[-1]).strip;
if CONFIG_GROUP.include?(RULE_GROUP) then
Value['rules'].insert(ruby_add_index,x);
else

View File

@ -9,9 +9,9 @@ THEME_NAME:=kucat
THEME_TITLE:=Kucat Theme
PKG_NAME:=luci-theme-$(THEME_NAME)
LUCI_TITLE:=Kucat Theme by sirpdboy
LUCI_DEPENDS:=
LUCI_DEPENDS:=+curl
PKG_VERSION:=2.5.6
PKG_RELEASE:=20250304
PKG_RELEASE:=20250305
define Package/luci-theme-$(THEME_NAME)/postinst
#!/bin/sh

View File

@ -615,6 +615,7 @@ small {
width: calc(0% + 15rem);
height: 100%;
background-color: var(--menu-bgcolor);
background-image: var(--bgqs-image);
box-shadow: 0 .1rem .5rem .2rem var(--input-boxcolor);
overflow-x: auto;
position: fixed;
@ -928,7 +929,9 @@ span[data-indicator="poll-status"],
cursor: pointer;
transition: all .2s;
position: relative;
color: var(--menu-fontcolor);
font-size: var(--font-z)
}
.main .main-left .nav .slide .slide-menu>li {
@ -1432,7 +1435,7 @@ input,
transition: box-shadow .25s ease;
border-radius: var(--radius2);
cursor: pointer;
box-shadow: 0 0.3rem 0.8rem var(--input-boxcolor)
box-shadow: 0 0.3rem 0.8rem var(--input-boxcolor);
}
.btn,
@ -1457,7 +1460,8 @@ button,
box-shadow: 0 0.3rem 0.8rem var(--input-boxcolor);
transform: translate(1) translate(0, 0);
transition: transform 225ms, box-shadow 225ms;
border-radius: var(--radius2)
border-radius: var(--radius2);
background-image: var(--bgqs-image);
}
.cbi-tab-descr {
@ -1490,7 +1494,8 @@ textarea {
fieldset>table>tbody>tr:nth-of-type(4n+2),
table>tbody>tr:nth-of-type(4n+2),
div>.table>.tr:nth-of-type(4n+2) {
background-color: rgba(var(--primary-rgbm), var(--primary-rgbs-ts))
background-color: rgba(var(--primary-rgbm), var(--primary-rgbs-ts));
background-image: var(--bgqs-image);
}
.cbi-tabcontainer>.cbi-value:nth-of-type(4n),
@ -1498,7 +1503,8 @@ div>.table>.tr:nth-of-type(4n+2) {
fieldset>table>tbody>tr:nth-of-type(4n),
table>tbody>tr:nth-of-type(4n),
div>.table>.tr:nth-of-type(4n) {
background-color: rgba(var(--primary-rgbs), var(--primary-rgbs-ts))
background-color: rgba(var(--primary-rgbs), var(--primary-rgbs-ts));
background-image: var(--bgqs-image);
}
.cbi-tabcontainer>.cbi-value:nth-of-type(4n+2):hover,
@ -1601,12 +1607,9 @@ body:not(.Interfaces) .cbi-rowstyle-2:first-child {
.cbi-button:active,
.item:hover::after,
.item:focus::after,
.item:active::after,
.cbi-page-actions .cbi-button-apply + .cbi-button-save:hover,
.cbi-page-actions .cbi-button-apply + .cbi-button-save:focus,
.cbi-page-actions .cbi-button-apply + .cbi-button-save:active {
text-decoration: none;
outline: 0;
.item:active::after {
outline: 0;
text-decoration: none
}
.btn:focus,
@ -1895,9 +1898,6 @@ button:active{
display: inline-flex
}
.cbi-value.cbi-value-last {
padding: 0 0.8rem
}
.cbi-value:first-child {
padding-top: 1rem
@ -4251,8 +4251,9 @@ div#add_link_div {
cursor: pointer
}
#file-manager-container .file-manager-header {
padding: 4px
#file-manager-container .file-manager-header input{
max-width: none;
min-width: 20rem;
}
#content-filemanager>#file-list-container #file-table tr>th .sort-button{

View File

@ -70,6 +70,7 @@
if primary_opacity == '0' then
ufilter = 'none'
end
local bg_url = media..'/img/bg1.jpg'
local bg_lock = bg_url
if background == '0' then
@ -197,7 +198,7 @@
--font-z: <%=fontz%>;
--font-x: <%=fontx%>;
--ufilter: <%=ufilter%>;
--bgqs-image: <%=bgqs_image%>;
--bgqs-image: none;
--menu-bgcolor: rgba(var(--primary-rgbbody), var(--primary-rgbm-ts));
--menu-item-hover-bgcolor: rgba(var(--primary-rgbm), 0.8);
--menu-item-active-bgcolor: rgba(var(--primary-rgbm), var(--primary-rgbm-ts));
@ -218,7 +219,7 @@
--font-z: <%=fontz%>;
--font-x: <%=fontx%>;
--ufilter: <%=ufilter%>;
--bgqs-image: <%=bgqs_image%>;
--bgqs-image: -webkit-linear-gradient(135deg, rgba(255, 255, 255, 0.1) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.1) 50%, rgba(255, 255, 255, 0.1) 75%, transparent 75%, transparent);
--menu-bgcolor: rgba(var(--primary-rgbm), var(--primary-rgbm-ts));
--menu-item-hover-bgcolor: rgba(248,248,248, 0.22);
--menu-item-active-bgcolor: rgba(248,248,248, 0.3);